/*-------------------------------------------------------------------------*/
/**
 [Project ]: 프레임웍 기반 그룹웨어 시제품 개발
 
 [Date] : 1999. 9. 3
 [Source file]: com/etri/groupware/mail/MailInfo.java
 [Vesion] : 1.0
 */
/*--------------------------------------------------------------------------*/



package com.etri.groupware.mail;

import java.io.File;

public class MailInfo {
	
	protected String subject = null;
	protected String from = null;
	protected String[] toArray = null;
	protected String[] ccArray = null;
	protected String[] bccArray = null;
	protected String textContent = null;
	protected File[] attachedFiles = null;
//	protected 
	
	public MailInfo(String subject, String from, String[] toArray, String[] ccArray, String[] bccArray, String textContent, File[] attachedFiles) {
		this.subject = subject;
		this.from = from;
		this.toArray = toArray;
		this.ccArray = ccArray;
		this.bccArray = bccArray;
		this.textContent = textContent;
		this.attachedFiles = attachedFiles;
	}
	
	String getSubject(){
		return subject;
	}
	
	void setSubject(String subject){
		this.subject = subject;
	}
	
	String getFrom() {
		return from;
	}
	
	void setFrom(String from) {
		this.from = from;
	}
	
	String[] getToArray() {
		return toArray;
	}
	
	void setToArray(String[] toArray) {
		this.toArray = toArray;
	}
	
	String[] getCcArray() {
		return ccArray;
	}
	
	void setCcArray(String[] ccArray) {
		this.ccArray = ccArray;
	}
	
	String[] getBccArray() {
		return bccArray;
	}
	
	void setBccArray(String[] bccArray) {
		this.bccArray = bccArray;
	}
	
	String getTextContent() {
		return textContent;
	}
	
	void setTextContent(String textContent) {
		this.textContent = textContent;
	}
	
	void setAttachedFiles(File[] attachedFiles) {
		this.attachedFiles = attachedFiles;
	}
	
	File[] getAttachedFiles() {
		return attachedFiles;
	}
	

}